package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 企业产品关联表
 * </p>
 *
 * @author cuixq
 * @since 2021-09-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_company_product")
public class SysCompanyProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("scp_id")
    private String scpId;

    /**
     * 产品ID
     */
    @TableField("scp_produc_id")
    private String scpProducId;

    /**
     * 企业id
     */
    @TableField("scp_company_id")
    private String scpCompanyId;

    /**
     * 产品使用开始日期
     */
    @TableField("scp_start_date")
    private String scpStartDate;

    /**
     * 产品结束日期
     */
    @TableField("scp_end_date")
    private String scpEndDate;

    /**
     * 状态(00正常 01试用)
     */
    @TableField("scp_state")
    private String scpState;

    /**
     * 删除标志(00代表存在 99代表删除)
     */
    @TableField("scp_is_del")
    private String scpIsDel;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;

    /**
     * 备注
     */
    @TableField("scp_remark")
    private String scpRemark;


}
