package com.huyi.task.base.service.impl;

import com.huyi.task.base.entity.SysNotice;
import com.huyi.task.base.mapper.SysNoticeMapper;
import com.huyi.task.base.service.ISysNoticeService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: SysNoticeServiceImpl<br>
 * Description: ISysNoticeService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-09-08  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class SysNoticeServiceImpl extends ServiceImpl<SysNoticeMapper, SysNotice> implements ISysNoticeService {

    @Autowired
    private SysNoticeMapper sysNoticeMapper;

    @Override
    public IPage<SysNotice> findSysNotices(QueryRequest request, LambdaQueryWrapper<SysNotice> wrapper) {
        Page<SysNotice> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<SysNotice> findSysNotices(LambdaQueryWrapper<SysNotice> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createSysNotice(SysNotice sysNotice) {
        this.save(sysNotice);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateSysNotice(SysNotice sysNotice) {
        this.saveOrUpdate(sysNotice);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteSysNotice(LambdaQueryWrapper<SysNotice> wrapper) {
	    this.remove(wrapper);
	}
}
