package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.ZcBillInvoiceRel;
import com.huyi.task.base.mapper.ZcBillInvoiceRelMapper;
import com.huyi.task.base.service.IZcBillInvoiceRelService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: ZcBillInvoiceRelServiceImpl<br>
 * Description: IZcBillInvoiceRelService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcBillInvoiceRelServiceImpl extends ServiceImpl<ZcBillInvoiceRelMapper, ZcBillInvoiceRel> implements IZcBillInvoiceRelService {

    @Autowired
    private ZcBillInvoiceRelMapper zcBillInvoiceRelMapper;

    @Override
    public IPage<ZcBillInvoiceRel> findZcBillInvoiceRels(QueryRequest request, LambdaQueryWrapper<ZcBillInvoiceRel> wrapper) {
        Page<ZcBillInvoiceRel> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcBillInvoiceRel> findZcBillInvoiceRels(LambdaQueryWrapper<ZcBillInvoiceRel> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcBillInvoiceRel(ZcBillInvoiceRel zcBillInvoiceRel) {
        this.save(zcBillInvoiceRel);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcBillInvoiceRel(ZcBillInvoiceRel zcBillInvoiceRel) {
        this.saveOrUpdate(zcBillInvoiceRel);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcBillInvoiceRel(LambdaQueryWrapper<ZcBillInvoiceRel> wrapper) {
	    this.remove(wrapper);
	}
}
