package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.ZcInvoiceAddress;
import com.huyi.task.base.mapper.ZcInvoiceAddressMapper;
import com.huyi.task.base.service.IZcInvoiceAddressService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: ZcInvoiceAddressServiceImpl<br>
 * Description: IZcInvoiceAddressService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcInvoiceAddressServiceImpl extends ServiceImpl<ZcInvoiceAddressMapper, ZcInvoiceAddress> implements IZcInvoiceAddressService {

    @Autowired
    private ZcInvoiceAddressMapper zcInvoiceAddressMapper;

    @Override
    public IPage<ZcInvoiceAddress> findZcInvoiceAddresss(QueryRequest request, LambdaQueryWrapper<ZcInvoiceAddress> wrapper) {
        Page<ZcInvoiceAddress> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcInvoiceAddress> findZcInvoiceAddresss(LambdaQueryWrapper<ZcInvoiceAddress> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcInvoiceAddress(ZcInvoiceAddress zcInvoiceAddress) {
        this.save(zcInvoiceAddress);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcInvoiceAddress(ZcInvoiceAddress zcInvoiceAddress) {
        this.saveOrUpdate(zcInvoiceAddress);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcInvoiceAddress(LambdaQueryWrapper<ZcInvoiceAddress> wrapper) {
	    this.remove(wrapper);
	}
}
